#!/usr/bin/perl -w -I/opt/eprints3/perl_lib

use strict;

use EPrints;

my $repoid = shift @ARGV or die( 'Missing param repoid' );

my $session = new EPrints::Session( 1, $repoid ) or die( 'No session... you used the correct repoid?' );

my $lang = $session->config( "defaultlanguage" );

my $uoa_z = {
	subjectid => 'ref2014_z',
	name_name => [ 'Z - Unaffiliated' ],
	name_lang => [ $lang ],
	parents => [ 'ref2014_uoas' ],
	depositable => 'TRUE'
};

my $subds = $session->dataset( 'subject' ) or die( 'Missing Subject Dataset?' );

# has the UoA Z already been imported?
if( defined $subds->dataobj( 'ref2014_z' ) )
{
	print "UoA Z already exists, leaving now.\n";
	$session->terminate;
	exit;
}

my $z_object = $subds->create_dataobj( $uoa_z );

if( defined $z_object )
{
	print "UoA Z imported\nRe-indexing Subject dataset...\n";
	$z_object->commit;
	$subds->reindex( $session );
}
else
{
	print "Unknown error, failed to import UoA Z\n";
}


$session->terminate;
exit;
